Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 319)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 320)
@@ -138,4 +138,7 @@
               title="User preferences" priority="5"
               icon_expr="actionicon_user_preferences.png"/>
+ <action-icon category="user" action_id="unchecked"
+              title="Unchecked" priority="6"
+              icon_expr="actionicon_reject.png"/>              
  <action-icon category="navigation"
               action_id="view_academics" title="Academics"
@@ -154,4 +157,8 @@
               title="Import Faculties" priority="0"
               icon_expr="actionicon_submit.png"/>
+ <action-icon category="import"
+              action_id="import_departments"
+              title="Import Departments" priority="1"
+              icon_expr="actionicon_submit.png"/>
  <action-icon category="import" action_id="import_courses"
               title="Import Courses" priority="2"
@@ -165,7 +172,3 @@
               title="Import CertCourses" priority="4"
               icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
-              action_id="import_departments"
-              title="Import Departments" priority="1"
-              icon_expr="actionicon_submit.png"/>
 </action-icons>
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 319)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 320)
@@ -105,4 +105,11 @@
    <permission>View</permission>
   </action>
+  <action title="Unchecked" action_id="unchecked"
+     category="user"
+     condition_expr=""
+     url_expr="string:./unchecked"
+     visible="True">
+   <permission>View</permission>
+  </action>  
  </action-provider>
  <action-provider name="portal_registration">
Index: WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 319)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 320)
@@ -2,32 +2,23 @@
 <object name="CertificatesFolder" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title">WAeUP Certificate</property>
+ <property name="title">WAeUP Certificates Folder</property>
  <property name="description"></property>
  <property name="content_icon"></property>
- <property name="content_meta_type">Certificate</property>
+ <property name="content_meta_type">CertificatesFolder</property>
  <property name="product">WAeUP_SRP</property>
- <property name="factory">addCertificate</property>
- <property name="immediate_view">folder_view</property>
+ <property name="factory">addCertificatesFolder</property>
+ <property name="immediate_view">academics_contents</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
  <property name="allowed_content_types">
-  <element value="StudyLevel"/>
+  <element value="Certificate"/>
  </property>
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
  <property name="cps_proxy_type">folder</property>
- <property name="cps_display_as_document_in_listing">True</property>
- <property name="schemas">
-  <element value="metadata"/>
-  <element value="common"/>
-  <element value="certificate"/>
- </property>
- <property name="layouts">
-  <element value="common"/>
-  <element value="certificate"/>
- </property>
- <property name="layout_clusters">
-  <element value="metadata:metadata"/>
- </property>
+ <property name="cps_display_as_document_in_listing">False</property>
+ <property name="schemas"/>
+ <property name="layouts"/>
+ <property name="layout_clusters"/>
  <property name="flexible_layouts"/>
  <property name="storage_methods"/>
@@ -41,20 +32,8 @@
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
+    visible="False"/>
  <action title="Add Certificate" action_id="new_entry" category="object"
     condition_expr=""
     url_expr="string:${object/absolute_url}/content_create?type_name=Certificate"
     visible="True"/>
- <action title="action_edit" action_id="edit" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_edit_form" visible="True">
-  <permission value="Modify portal content"/>
- </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
-  <permission value="Modify portal content"/>
- </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 319)
+++ WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 320)
@@ -2,11 +2,11 @@
 <object name="CoursesFolder" meta_type="CPS Flexible Type Information"
    xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title"></property>
+ <property name="title">WAeUP Courses Folder</property>
  <property name="description"></property>
  <property name="content_icon"></property>
- <property name="content_meta_type">CPS Document</property>
- <property name="product">CPSDocument</property>
- <property name="factory">addCPSDocument</property>
- <property name="immediate_view"></property>
+ <property name="content_meta_type">CoursesFolder</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addCoursesFolder</property>
+ <property name="immediate_view">academics_contents</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -28,5 +28,5 @@
  <action title="View" action_id="view" category="object" condition_expr=""
     url_expr="string:${object_url}/academics_contents" visible="True">
-  <permission value="View archived revisions"/>
+  <permission value="View"/>
  </action>
  <action title="Delegate" action_id="localroles" category="object"
Index: WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 319)
+++ WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 320)
@@ -27,14 +27,8 @@
    <bound-workflow workflow_id="workspace_calendar_wf"/>
   </type>
-  <type type_id="CertificatesFolder">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
   <type type_id="Certificate">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="CertificateCourse">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="CoursesFolder">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
Index: WAeUP_SRP/trunk/skins/waeup_default/unchecked.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/unchecked.pt	(revision 320)
+++ WAeUP_SRP/trunk/skins/waeup_default/unchecked.pt	(revision 320)
@@ -0,0 +1,62 @@
+<html metal:use-macro="here/main_template/macros/master">
+
+<body>
+
+<div metal:fill-slot="main">
+
+
+<div class=""
+     tal:define="physPath python:'/'.join(here.getPhysicalPath());
+                 results python: here.portal_catalog(review_state='unchecked', path=physPath);
+                 purl here/portal_url;
+                ">
+
+<div tal:condition="results">
+<h1 i18n:translate="">Items unchecked inside <span tal:content="here/LongTitle|here/title_or_id " /></h1>
+
+
+
+<table width="100%" cellspacing="0" cellpadding="2"
+      summary="contents of the folder"
+      class="folderButtons"
+      tal:define="can_add python:checkPerm('Add portal content', here);
+                  can_del python:checkPerm('Delete objects', here);">
+
+  <tbody tal:repeat="item results">
+
+  <tr><td></td><td></td><td></td></tr>
+
+  <tr tal:define="objURL string:${item/getURL}/view;
+                  objPath item/getPath;
+                  title item/Title;
+                 ">
+  <td i18n:translate="">
+    <span tal:replace="item/id" />
+  </td>
+  <td>
+  <a href="url"
+      tal:attributes="href objURL">
+   <span tal:content="python: title or '(No title)'" />
+  </a>
+  </td>
+  
+  <td>
+    <span tal:replace="item/Type" />
+  </td>
+ </tr>
+
+ </tbody>
+</table>
+</div>
+
+
+<div tal:condition="python: not results">
+ <p i18n:translate="">There are no items matching your specified criteria.</p>
+</div>
+
+</div>
+
+</div>
+
+</body>
+</html>