Index: WAeUP_SRP/trunk/Academics.py
===================================================================
--- WAeUP_SRP/trunk/Academics.py	(revision 323)
+++ WAeUP_SRP/trunk/Academics.py	(revision 324)
@@ -132,5 +132,5 @@
                     d.getContent().edit(mapping=dict)
                     d.invokeFactory('CoursesFolder','courses')
-                    courses = getattr(d,'sourses')
+                    courses = getattr(d,'courses')
                     dict = {'Title': 'Courses'}
                     courses.getContent().edit(mapping=dict)
Index: WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 323)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 324)
@@ -18,7 +18,15 @@
  <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">False</property>
- <property name="schemas"/>
- <property name="layouts"/>
- <property name="layout_clusters"/>
+ <property name="schemas">
+  <element value="common"/>
+  <element value="metadata"/>
+ </property>
+ <property name="layouts">
+  <element value="common"/>
+  <element value="metadata"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
  <property name="flexible_layouts"/>
  <property name="storage_methods"/>
Index: WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 323)
+++ WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 324)
@@ -18,7 +18,15 @@
  <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">False</property>
- <property name="schemas"/>
- <property name="layouts"/>
- <property name="layout_clusters"/>
+ <property name="schemas">
+  <element value="common"/>
+  <element value="metadata"/>
+ </property>
+ <property name="layouts">
+  <element value="common"/>
+  <element value="metadata"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
  <property name="flexible_layouts"/>
  <property name="storage_methods"/>
Index: WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 323)
+++ WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 324)
@@ -30,4 +30,7 @@
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
+  <type type_id="CertificatesFolder">
+   <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
   <type type_id="CertificateCourse">
    <bound-workflow workflow_id="waeup_base_wf"/>
@@ -35,4 +38,7 @@
   <type type_id="Course">
    <bound-workflow workflow_id="waeup_base_wf"/>
+  </type>
+  <type type_id="CoursesFolder">
+   <bound-workflow workflow_id="section_folder_wf"/>
   </type>
   <type type_id="CourseTicket">
@@ -50,10 +56,4 @@
   <type type_id="Members Workspace">
    <bound-workflow workflow_id="workspace_folder_wf"/>
-  </type>
-  <type type_id="SCFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="Section">
-   <bound-workflow workflow_id="section_folder_wf"/>
   </type>
   <type type_id="Semester">
@@ -84,7 +84,4 @@
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
-  <type type_id="Workspace">
-   <bound-workflow workflow_id="workspace_folder_wf"/>
-  </type>
  </bindings>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py	(revision 323)
+++ WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_create.py	(revision 324)
@@ -36,6 +36,6 @@
     url = ob.absolute_url()
     meth_id = ti.queryMethodID('created', None)
-##    if meth_id is not None:
-##        getattr(context, meth_id)(object=ob)
+    if meth_id is not None:
+        getattr(context, meth_id)(object=ob)
     action = ob.getTypeInfo().immediate_view
     psm = 'psm_content_created'