Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha.xml	(revision 315)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha.xml	(revision 325)
@@ -4,5 +4,5 @@
  <property name="default">True</property>
  <property name="esi">False</property>
- <property name="shortcut_icon">cps_favicon_4.png</property>
+ <property name="shortcut_icon">ng.png</property>
  <property name="author">Henrik Bettermann</property>
  <property
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640.xml	(revision 315)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640.xml	(revision 325)
@@ -5,5 +5,5 @@
  <property name="width">100%</property>
  <property name="height"></property>
- <property name="maxcols">4</property>
+ <property name="maxcols">5</property>
  <property name="shape">NoBorder</property>
  <property name="color">Transparent</property>
@@ -14,3 +14,5 @@
  <object name="1503666621" meta_type="Cell Sizer"/>
  <object name="552220178" meta_type="Cell Sizer"/>
+ <object name="1354562479" meta_type="Cell Sizer"/>
+ <object name="2269937" meta_type="Portal Box Group Templet"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/1354562479.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/1354562479.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/1354562479.xml	(revision 325)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="1354562479" meta_type="Cell Sizer">
+ <property name="xpos">4</property>
+ <property name="cellwidth">5%</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/2269937.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/2269937.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/2269937.xml	(revision 325)
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<object name="2269937" meta_type="Portal Box Group Templet">
+ <property name="title">portal_tabs3</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">3</property>
+ <property name="align">right</property>
+ <property name="padding">0.2em</property>
+ <property name="margin">1em 0.2em 0.2em 0.2em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultnovisitedlinks</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color"></property>
+ <property name="formstyle"></property>
+ <property name="visibility">always</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="boxshape">navbox</property>
+ <property name="boxcolor"></property>
+ <property name="boxcorners"></property>
+ <property name="portaltabstyle">PortalTabStyleuseractions</property>
+ <property name="boxlayout">horizontal_box_notitle</property>
+ <property name="box_group">portal_tabs3</property>
+ <property name="macroless">False</property>
+ <property name="box_title_i18n">False</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/552220178.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/552220178.xml	(revision 315)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/269646640/552220178.xml	(revision 325)
@@ -2,4 +2,4 @@
 <object name="552220178" meta_type="Cell Sizer">
  <property name="xpos">3</property>
- <property name="cellwidth">5%</property>
+ <property name="cellwidth">20%%</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main.xml	(revision 315)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main.xml	(revision 325)
@@ -13,7 +13,5 @@
     meta_type="Portal Box Group Templet"/>
  <object name="459062354" meta_type="Portal Box Group Templet"/>
- <object name="2269937" meta_type="Portal Box Group Templet"/>
  <object name="119708420" meta_type="Portal Box Group Templet"/>
- <object name="1284486093" meta_type="Portal Box Group Templet"/>
  <object name="cell_sizer5" meta_type="Cell Sizer"/>
  <object name="cell_sizer3" meta_type="Cell Sizer"/>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499.xml	(revision 315)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499.xml	(revision 325)
@@ -8,7 +8,8 @@
  <property name="color">WAeUPColor</property>
  <property name="margin">0em</property>
- <object name="copy_of_1316352056" meta_type="Portal Box Group Templet"/>
+ <object name="copy3_of_1316352056" meta_type="Portal Box Group Templet"/>
  <object name="copy_of_523477727" meta_type="Portal Box Group Templet"/>
  <object name="1457280537" meta_type="Cell Sizer"/>
  <object name="1689006287" meta_type="Cell Sizer"/>
+ <object name="110806487" meta_type="Cell Sizer"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/110806487.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/110806487.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/110806487.xml	(revision 325)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="110806487" meta_type="Cell Sizer">
+ <property name="xpos">2</property>
+ <property name="cellwidth">16%</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy3_of_1316352056.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy3_of_1316352056.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/Default/main/325427499/copy3_of_1316352056.xml	(revision 325)
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<object name="copy3_of_1316352056" meta_type="Portal Box Group Templet">
+ <property name="title">portal_tabs5</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">1</property>
+ <property name="align">right</property>
+ <property name="padding">0.2em</property>
+ <property name="margin">0em 0em 0em 0em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultnovisitedlinks</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color"></property>
+ <property name="formstyle"></property>
+ <property name="visibility">if_authenticated</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="boxshape"></property>
+ <property name="boxcolor"></property>
+ <property name="boxcorners"></property>
+ <property name="portaltabstyle">PortalTabStyleuseractions</property>
+ <property name="boxlayout">horizontal_box_notitle</property>
+ <property name="box_group">portal_tabs5</property>
+ <property name="macroless">False</property>
+ <property name="box_title_i18n">False</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/icons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/icons.xml	(revision 315)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Alpha/icons.xml	(revision 325)
@@ -6,3 +6,4 @@
  <object name="bullet_black.png" meta_type="Image" title="bullet_black.png"/>
  <object name="blakbullet.png" meta_type="Image" title="blakbullet.png"/>
+ <object name="ng.png" meta_type="Image" title="ng.png"/>
 </object>