Index: WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 326)
@@ -2,7 +2,4 @@
 <rolemap>
   <roles>
-    <role name="UniversityManager"/>
-    <role name="FacultyManager"/>
-    <role name="DepartmentManager"/>
     <role name="CourseAdvisor"/>
     <role name="Lecturer"/>
@@ -10,23 +7,11 @@
   </roles>
   <permissions>
-    <permission name="Certificate Course Delete"
-                acquire="True">
-      <role name="Owner"/>
-      <role name="Manager"/>
-      <role name="SectionManager"/>
-      <role name="CourseAdvisor"/>
-    </permission>
     <permission name="Add portal content" acquire="True">
-      <role name="Owner"/>
-      <role name="Manager"/>
       <role name="Student"/>
     </permission>
     <permission name="Add portal folders" acquire="True">
-      <role name="Owner"/>
-      <role name="Manager"/>
       <role name="Student"/>
     </permission>
     <permission name="Delete objects" acquire="True">
-      <role name="Owner"/>
       <role name="Manager"/>
     </permission>
Index: WAeUP_SRP/trunk/profiles/default/roots/campus.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/roots/campus.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/roots/campus.xml	(revision 326)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="campus">
-  <property name="title">University Portal</property>
+  <property name="Title">University Portal</property>
   <property name=".cpsskins_theme">waeup_plain_theme</property>
   <object name="academics" portal_type="AcademicsFolder" />
Index: WAeUP_SRP/trunk/profiles/default/roots/campus/accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/roots/campus/accommodation.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/roots/campus/accommodation.xml	(revision 326)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
 <object name="accommodation">
-  <property name="title">Accommodation</property>
+  <property name="Title">Accommodation</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/roots/campus/students.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/roots/campus/students.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/roots/campus/students.xml	(revision 326)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
 <object name="students">
-  <property name="title">Students</property>
+  <property name="Title">Students</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 326)
@@ -13,5 +13,4 @@
  <property name="allowed_content_types">
   <element value="Faculty"/>
-  <element value="SCFolder"/>
  </property>
  <property name="allow_discussion">False</property>
@@ -26,5 +25,5 @@
  <property name="layouts">
   <element value="common"/>
-  <element value="folder"/>
+  <element value="metadata"/>
  </property>
  <property name="layout_clusters">
Index: WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 326)
@@ -24,4 +24,5 @@
  <property name="layouts">
   <element value="common"/>
+  <element value="metadata"/>
  </property>
  <property name="layout_clusters">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 326)
@@ -25,4 +25,5 @@
  <property name="layouts">
   <element value="common"/>
+  <element value="metadata"/>
  </property>
  <property name="layout_clusters">
Index: WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 325)
+++ WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 326)
@@ -32,4 +32,5 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="level_view"/>
+ <alias from="created" to="level_created"/>
  <alias from="view" to="level_view"/>
  <action title="View" action_id="view" category="object" condition_expr=""
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 325)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 326)
@@ -13,4 +13,5 @@
                          version_in_tabs python:'version' in detail_tab_columns;
                          context_url context_url|here/getContextUrl;
+                         display_buttons context/academics_contents_display_buttons;
                         ">
 <tal:block condition="start">
@@ -18,5 +19,5 @@
   <thead>
     <tr>
-      <td> </td>
+      <td tal:condition="display_buttons"> </td>
       <th tal:condition="type_in_tabs" align="center">
         <strong tal:define="sort_type python:sort_by=='type'"
@@ -49,6 +50,6 @@
            tal:attributes="href python:'%s/changeDisplayParams?display_order=%s' % (context_url, test(sort_author and direction=='asc','author_desc','author_asc'))"
            i18n:translate="label_info_tab_author"></a></strong></th>
-        <th></th>
-        <th tal:condition="status_in_tabs" align="center">
+        <th tal:condition="display_buttons"></th>
+        <th tal:condition="python: display_buttons and status_in_tabs" align="center">
         <strong tal:define="sort_status python:sort_by=='status'"
            tal:omit-tag="not:sort_status"><a href=""
@@ -68,5 +69,6 @@
                 '/folder_contents', '')"
     tal:attributes="class python:test(repeat['item'].even(), 'even ajaxtd', 'odd ajaxtd')">
-  <td align="left" valign="middle" style="width: 5px;">
+  <td align="left" valign="middle" style="width: 5px;" 
+      tal:condition="display_buttons">
     <input type="checkbox" name="ids:list" value="" id="" class="noborder"
            tal:condition="not:no_form"
@@ -95,6 +97,6 @@
                                title info/description;">
     <strong tal:content="info/long_title|info/title_or_id">ID</strong></a></td>
-  <td align="right">
-    <a href="dummy" tal:attributes="href string:${item/absolute_url}/academics_edit_form">[edit]</a></td>
+  <td align="right" tal:condition="display_buttons">
+    <a href="dummy"  tal:attributes="href string:${item/absolute_url}/academics_edit_form">[edit]</a></td>
   <td align="right" tal:condition="size_in_tabs">
     <span tal:condition="info/size|nothing" tal:content="info/size"> </span></td>
@@ -103,5 +105,5 @@
   <td align="center" tal:condition="author_in_tabs">
     <span tal:content="info/creator"> </span></td>
-  <td align="center" tal:condition="status_in_tabs"
+  <td align="center" tal:condition="python:status_in_tabs and display_buttons"
       tal:content="info/review_state" tal:attributes="class info/review_state"
       i18n:translate="">published</td>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 325)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 326)
@@ -4,4 +4,5 @@
                         direction params/direction;
                         format string:detail_tab;
+                        
                         displayed python:request.get('displayed', None);
                        ">
@@ -25,21 +26,4 @@
      style="display:none"
      tal:attributes="href string:${context_url}/folder_factories"></a>
-  <div style="text-align: right" tal:condition="python: False and (not here.isInWorkspace() or (here.isInWorkspace() and sort_by))">
-    <form action="" method="post"
-          tal:attributes="action string:${here_url}/changeDisplayParams">
-      <p>
-      <tal:block condition="python:not here.isInWorkspace()">
-        <metal:params use-macro="here/content_lib_display_params_form/macros/display_params_form" />
-        <input type="submit" value="button_apply" class="standalone"
-             i18n:attributes="value" />
-      </tal:block>
-      <tal:block condition="python:here.isInWorkspace() and sort_by">
-        <input type="hidden" name="display_order" value="None" />
-        <input type="submit" value="label_none" class="standalone"
-             i18n:attributes="value" />
-      </tal:block>
-      </p>
-    </form>
-  </div>
 </metal:header>
 
@@ -60,5 +44,4 @@
 <metal:main fill-slot="main"
   tal:define="list_here python:checkPerm('List folder contents', here);">
-
   <div tal:condition="not: list_here"
     tal:define="response request/RESPONSE;url here_url;">
@@ -79,9 +62,10 @@
       class="folderButtons"
       tal:define="can_add python:checkPerm('Add portal content', here);
-                  can_del python:checkPerm('Delete objects', here);">
+                  can_del python:checkPerm('Delete objects', here);
+                  display_buttons context/academics_contents_display_buttons;">
       <tr>
         <td align="left" valign="top" rowspan="3"></td>
         <td align="left" valign="top">
-          <span tal:condition="items">
+          <span tal:condition="display_buttons" >
             <input type="button" value="button_select_all" class="context"
                    onclick="someJavaScriptFunctionThatWillBeReplaced"
@@ -89,15 +73,4 @@
                    tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
                                    % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))" />
-          </span>
-          <span tal:condition="python: False and can_add">
-            <input type="submit" name="folder_cut:method" value="button_cut"
-                   class="context" i18n:attributes="value"
-                   tal:condition="can_del" />
-            <input type="submit" name="folder_copy:method" value="button_copy"
-              class="context" i18n:attributes="value" />
-          </span>
-          <span tal:condition="python:False and can_add and here.cb_dataValid()">
-            <input type="submit" name="folder_paste:method" value="button_paste"
-              class="context" i18n:attributes="value" />
           </span>
           <span tal:condition="can_del">
@@ -113,19 +86,4 @@
         </td>
       </tr>
-      <tr tal:define="isWsManager python:checkPerm('Change subobjects order',
-                                                   here);"
-          tal:condition="python:False and isWsManager and sort_by is None">
-        <td>
-          <input type="submit" value="button_move_up" class="context moveUp"
-                 i18n:attributes="value" name="moveItemsUp:method" />
-          <input type="submit" value="button_move_down" class="context moveDown"
-                 i18n:attributes="value" name="moveItemsDown:method" />
-          <input type="submit" value="button_move_top" class="context moveTop"
-                 i18n:attributes="value" name="moveItemsTop:method" />
-          <input type="submit" value="button_move_bottom"
-                 class="context moveBottom"
-                 i18n:attributes="value" name="moveItemsBottom:method" />
-        </td>
-      </tr>
     </table>
   </form>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 326)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 326)
@@ -0,0 +1,17 @@
+## Script (Python) ""
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=ids=[], REQUEST=None
+##title=
+##
+# $Id: folder_delete.py 30246 2005-12-02 20:10:18Z fguillaume $
+"""
+buttons shouldn't be displayed if 
+"""
+
+if context.portal_type in ('Department'):
+    return None
+return 1
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_created.py	(revision 326)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_created.py	(revision 326)
@@ -0,0 +1,35 @@
+## Script (Python) "cpsdocument_created"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=object=None
+##title=
+##
+"""
+Do the necessary rendering or redirection after an object has been
+successfully created and filled with the initial values by the user.
+
+In CPS, context is a proxy.
+
+May return a rendered document, or do a redirect.
+"""
+# $Id: cpsdocument_created.py 8901 2003-10-14 12:14:25Z fguillaume $
+if object is not None:
+    dep = object
+else:
+    dep = context.getContent()
+dep.invokeFactory('Semester','first')
+o = getattr(dep,'first')
+dict = {'Title': 'First Semester'}
+o.getContent().edit(mapping=dict)
+dep.invokeFactory('Semester','second')
+o = getattr(dep,'second')
+dict = {'Title': 'Second Semester'}
+o.getContent().edit(mapping=dict)
+context.orderObjects('id')
+psm = 'Study Level created'
+action_path = context.getTypeInfo().immediate_view
+context.REQUEST.RESPONSE.redirect('%s/%s?portal_status_message=%s' %
+                                  (context.absolute_url(), action_path, psm))
Index: WAeUP_SRP/trunk/skins/waeup_default/widget_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/widget_waeup_status_display.pt	(revision 325)
+++ 	(revision )
@@ -1,15 +1,0 @@
-<tal:block define="item nocall:options/context_obj;
-                   info item/getContentInfo;
-                   base_url python: request.get('cpsskins_base_url');">
-
-<span tal:condition="python:path('info/review_state')=='checked'">
-  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
-  <span tal:content="info/review_state" />
-</ span>
-
-<span tal:condition="python:path('info/review_state')=='unchecked'">
-  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_reject.png"/>
-  <span tal:content="info/review_state" />
-</ span>
-
-</tal:block>