Index: WAeUP_SRP/trunk/Academics.py
===================================================================
--- WAeUP_SRP/trunk/Academics.py	(revision 328)
+++ WAeUP_SRP/trunk/Academics.py	(revision 329)
@@ -380,4 +380,5 @@
                 certificate.invokeFactory('StudyLevel', level)
                 l = getattr(certificate, level)
+                l.getContent().edit(mapping={'Title': "Level %s" % level})
                 l.invokeFactory('Semester','first')
                 l.invokeFactory('Semester','second')
Index: WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 328)
+++ WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 329)
@@ -3,5 +3,5 @@
  <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
+ <property name="layout_view_method">layout_waeup_fancy_view</property>
  <property name="style_prefix">layout_default_</property>
  <property name="flexible_widgets"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 328)
+++ WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 329)
@@ -24,5 +24,4 @@
  </property>
  <property name="layouts">
-  <element value="common"/>
   <element value="certificate"/>
  </property>
@@ -33,8 +32,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="certificate_view"/>
- <alias from="view" to="certificate_view"/>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/certificate_view" visible="True">
+    url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>
@@ -54,3 +53,7 @@
   <permission value="Modify portal content"/>
  </action>
+ <action title="Add Level" action_id="new_entry" category="object"
+    condition_expr=""
+    url_expr="string:${object/absolute_url}/content_create?type_name=StudyLevel"
+    visible="True"/>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 328)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 329)
@@ -4,6 +4,6 @@
                         direction params/direction;
                         format string:detail_tab;
-                        
                         displayed python:request.get('displayed', None);
+                        display_buttons context/academics_contents_display_buttons;
                        ">
 
@@ -48,4 +48,6 @@
     <span tal:define="redirect python: response.redirect(url)"></span>
   </div>
+    <span tal:omit-tag="" tal:condition="not: display_buttons" 
+          tal:content="structure doc/render" />
 
   <form action="" method="post" class="group"
@@ -63,5 +65,5 @@
       tal:define="can_add python:checkPerm('Add portal content', here);
                   can_del python:checkPerm('Delete objects', here);
-                  display_buttons context/academics_contents_display_buttons;">
+                  ">
       <tr>
         <td align="left" valign="top" rowspan="3"></td>
@@ -73,5 +75,4 @@
                    tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
                                    % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))" />
-          </span>
           <span tal:condition="can_del">
             <input type="submit" name="approve_checked:method"
@@ -83,4 +84,5 @@
               tal:attributes="onclick python:'return window.confirm(\'%s\')' %
               (cpsmcat('description_confirm_delete'), )" />
+          </span>
           </span>
         </td>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 328)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 329)
@@ -13,5 +13,5 @@
 """
 
-if context.portal_type in ('Department'):
+if context.portal_type in ('Department','Certificate'):
     return None
 return 1
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_created.py	(revision 328)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_created.py	(revision 329)
@@ -21,4 +21,5 @@
 else:
     dep = context.getContent()
+dep.getContent().edit(mapping={'Title': "Level %s" % dep.getId()})
 dep.invokeFactory('Semester','first')
 o = getattr(dep,'first')
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt	(revision 328)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt	(revision 329)
@@ -17,28 +17,48 @@
                items python:context.filterContents(items=context.contentValues());"
                >
-    <h1>Level  <span tal:content="context/title_or_id" /></h1>      
+    <h3><span tal:content="context/title_or_id" /></h3>  
   
-    <p>The courses for this level:</p>
     <tal:block condition="python: len(items)">  
       <table>
         <span tal:repeat="item items">
           <span tal:define="courses python:item.filterContents(items=item.contentValues())">
-          <tr>
-            <th> <span tal:content="item/id" tal:omit-tag="" /> Semester
-            </th>
-          </tr>
-         <tr tal:repeat="course courses">
-            <td> <a href="coures" tal:content="course/id" tal:attributes="href course/coursepath"></a>
-            </td>
-            <td tal:content="course/Title"></td>
-            <td tal:content="course/core_or_elective"></td>
-            <td tal:content="course/credits"></td>
-            <td tal:content="course/passmark"></td>
-          </tr>
+            <tr>
+              <th> <span tal:content="item/id" tal:omit-tag="" /> Semester
+              </th>
+            </tr>
+            <tr>
+              <th>Title
+              </th>
+              <th>
+              </th>
+              <th>Credits</th>
+              <th>Pass</th>
+            </tr>
+            <span tal:repeat="course courses">
+              <tr tal:define="info course/getContentInfo;
+                  wf_status info/review_state;
+                  wf_action python: test(wf_status == 'unchecked', 'approve', 'retract')">
+                <td align="center"><span tal:content="string: ${course/getId} ${course/Title}" tal:omit-tag=""/></td>
+                <td align="center" tal:content="python: test(path('course/core_or_elective'),'Core','elective')"></td>
+                <td align="center" tal:content="course/credits"></td>
+                <td align="center" tal:content="course/passmark"></td>
+                <td align="center" tal:content="wf_status"></td>
+                <td><a href="changestatus"
+                       tal:attributes="href string: ${course/absolute_url}/content_status_modify?workflow_action=${wf_action}"
+                       tal:content="string:[${wf_action}]"></a>
+                </td>
+                <td><a href="changestatus"
+                       tal:attributes="href string: ${course/absolute_url}/cpsdocument_edit_form">[edit]</a>
+                </td>
+                <td><a href="coures" tal:content="string:goto Course" 
+                       tal:attributes="href course/coursepath"></a>
+                </td>
+              </tr>
+            </span>
             <tr> <td></td></tr>
+          </span>
         </span>
-        </span>
-      </table>
-    </tal:block>
+        </table>
+      </tal:block>
     
     <tal:block condition="python: not len(items)">
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_fancy_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_fancy_view.pt	(revision 329)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_fancy_view.pt	(revision 329)
@@ -0,0 +1,23 @@
+<tal:block define="layout options/layout;
+                   widgets options/layout/widgets;
+                   ds options/datastructure;
+                   fixed_layouts python:['title'];
+                  ">
+
+
+<!-- Flex part for instance here -->
+
+<table width="100%" cellpadding="2" cellspacing="2">
+  <tr tal:repeat="row layout/rows">
+    <td tal:repeat="cell row" tal:attributes="colspan cell/ncols">
+      <tal:block define="widget cell/widget">
+        <tal:block condition="python:widget.label and widget.id[3:] not in fixed_layouts ">
+          <strong tal:content="widget/label">label</strong>:
+          <div tal:replace="structure python:widget.render('view', ds, layout_mode='view')" />
+      </tal:block>
+      </tal:block>
+    </td>
+  </tr>
+</table>
+
+</tal:block>