Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 329)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 330)
@@ -6,4 +6,6 @@
              tal:define="title_in_tabs python: 'title' in detail_tab_columns;
                          long_title_in_tabs python:'long_title' in detail_tab_columns;
+                         id_in_tabs python:'id' in detail_tab_columns;
+                         typetext_in_tabs python:'typetext' in detail_tab_columns;
                          type_in_tabs python:'type' in detail_tab_columns;
                          size_in_tabs python:'size' in detail_tab_columns;
@@ -17,4 +19,6 @@
 <tal:block condition="start">
   <tal:block replace='structure string:&lt;table class="contentListing" width="100%" summary="content layout" id="folder_content">' />
+
+
   <thead>
     <tr>
@@ -35,4 +39,18 @@
            tal:attributes="href python:'%s/changeDisplayParams?display_order=%s' % (context_url, test(sort_title and direction=='asc','title_desc','title_asc'))"
            i18n:translate="label_info_tab_title"></a></strong></th>
+
+      <th tal:condition="id_in_tabs" align="center">
+        <strong tal:define="sort_id python:sort_by=='id'"
+           tal:omit-tag="not:sort_id"><a href=""
+           tal:attributes="href python:'%s/changeDisplayParams?display_order=%s' % (context_url, test(sort_id and direction=='asc','id_desc','id_asc'))"
+           i18n:translate="label_info_tab_id"></a></strong></th>
+
+      <th tal:condition="typetext_in_tabs" align="center">
+        <strong tal:define="sort_typetext python:sort_by=='typetext'"
+           tal:omit-tag="not:sort_typetext"><a href=""
+           tal:attributes="href python:'%s/changeDisplayParams?display_order=%s' % (context_url, test(sort_typetext and direction=='asc','typetext_desc','typetext_asc'))"
+           i18n:translate="label_info_tab_typetext"></a></strong></th>
+
+
       <th tal:condition="size_in_tabs" align="center">
         <strong tal:define="sort_size python:sort_by=='size'"
@@ -63,4 +81,11 @@
     </tr>
   </thead>
+
+
+
+
+
+
+
   <tal:block replace='structure string:&lt;tbody id="folder_content_tbody">' />
 </tal:block>
@@ -93,8 +118,20 @@
                                title info/description;">
     <strong tal:content="info/title_or_id">ID</strong></a></td>
+
   <td tal:condition="long_title_in_tabs">
     <a href="" tal:attributes="href string:${info/url}${action};
                                title info/description;">
     <strong tal:content="info/long_title|info/title_or_id">ID</strong></a></td>
+
+
+  <td tal:condition="id_in_tabs">
+    <span tal:content="info/id">ID</span>
+  </td>
+
+  <td tal:condition="typetext_in_tabs">
+    <span tal:content="info/type">ID</span>
+  </td>
+
+
   <td align="right" tal:condition="display_buttons">
     <a href="dummy"  tal:attributes="href string:${item/absolute_url}/academics_edit_form">[edit]</a></td>
Index: WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py	(revision 329)
+++ WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py	(revision 330)
@@ -8,4 +8,5 @@
 ##title=
 ##
+# $Id: getCustomDisplayParams.py 32717 2006-02-10 13:35:19Z mturcu $
 # $Id: getCustomDisplayParams.py 32717 2006-02-10 13:35:19Z mturcu $
 """
@@ -30,6 +31,7 @@
                       'nav_action': 'folder_view',
                       'filter': 0,
-                      'detail_tab_columns': ['long_title', 
-                                              #'type',
+                      'detail_tab_columns': ['long_title',
+                                             'id',
+                                             'typetext',
                                               #'size',
                                               #'date', 
@@ -41,2 +43,3 @@
 
 return custom_params
+
Index: WAeUP_SRP/trunk/skins/waeup_default/temporary_view_all_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/temporary_view_all_form.pt	(revision 329)
+++ WAeUP_SRP/trunk/skins/waeup_default/temporary_view_all_form.pt	(revision 330)
@@ -20,13 +20,9 @@
   
     <p>This is a temporary view of the object with id <em tal:content="here/id" /> 
-       of type <em tal:content="here/portal_type" /> 
-       which can be customized according to the customer's needs.</p>       
+       of type <em tal:content="here/portal_type" />.</p>       
   
     <br />
     <span  tal:condition="python:context.portal_type != 'University' and doc.render()"  tal:omit-tag="">
-      <p>object's workflowstate: <span tal:replace="python: context.portal_workflow.getInfoFor(context,'review_state',None)"/></p>
-      <p>Exemplary view of the <strong>object's data fields</strong>: </p>
-      <tal:block  
-          tal:content="structure python:doc.render()" />
+    <tal:block  tal:content="structure python:doc.render()" />
     </span>
     <br />      
Index: WAeUP_SRP/trunk/skins/waeup_default/unchecked.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/unchecked.pt	(revision 329)
+++ WAeUP_SRP/trunk/skins/waeup_default/unchecked.pt	(revision 330)
@@ -31,7 +31,4 @@
                   title item/Title;
                  ">
-  <td i18n:translate="">
-    <span tal:replace="item/id" />
-  </td>
   <td>
   <a href="url"
@@ -40,7 +37,11 @@
   </a>
   </td>
+
+  <td i18n:translate="">
+    <span tal:replace="item/id" />
+  </td>
   
   <td>
-    <span tal:replace="item/Type" />
+    <span tal:replace="item/portal_type" />
   </td>
  </tr>