Index: WAeUP_SRP/trunk/Academics.py
===================================================================
--- WAeUP_SRP/trunk/Academics.py	(revision 331)
+++ WAeUP_SRP/trunk/Academics.py	(revision 332)
@@ -385,5 +385,7 @@
             certificate.orderObjects('id')
             first_s = getattr(l,'first')
+            first_s.getContent().edit(mapping={'Title': 'First Semester'})
             second_s = getattr(l,'second')
+            second_s.getContent().edit(mapping={'Title': 'Second Semester'})
             if cert_course.get('Semester') == '1':
                 semester = first_s
Index: WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 331)
+++ WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 332)
@@ -3,6 +3,6 @@
  <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
- <property name="layout_view_method">layout_waeup_fancy_view</property>
- <property name="style_prefix">layout_default_</property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
Index: WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 331)
+++ WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 332)
@@ -24,5 +24,4 @@
  <property name="layouts">
   <element value="common"/>
-  <element value="metadata"/>
  </property>
  <property name="layout_clusters">
Index: WAeUP_SRP/trunk/profiles/default/types/Semester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 331)
+++ WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 332)
@@ -32,8 +32,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
+    condition_expr="" url_expr="string:${object_url}/academics_contents"
     visible="True">
   <permission value="View"/>
@@ -41,5 +41,5 @@
  <action title="Book Semester Courses" action_id="book_semester_courses"
     category="object" condition_expr=""
-    url_expr="string:${object_url}/book_semester_courses" visible="True">
+    url_expr="string:${object_url}/book_semester_courses" visible="False">
   <permission value="Take ownership"/>
  </action>
@@ -48,5 +48,4 @@
     url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
   <permission value="Modify portal content"/>
-  <permission value="University Manage"/>
  </action>
  <action title="Delegate" action_id="localroles" category="object"
@@ -54,6 +53,8 @@
     visible="False">
   <permission value="Modify portal content"/>
-  <permission value="University Manage"/>
-  <permission value="Student Manage"/>
  </action>
+ <action title="Add Course" action_id="new_entry" category="object"
+    condition_expr=""
+    url_expr="string:${object_url}/content_create?type_name=Course"
+    visible="True"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 331)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 332)
@@ -25,5 +25,4 @@
  <property name="layouts">
   <element value="common"/>
-  <element value="metadata"/>
  </property>
  <property name="layout_clusters">
Index: WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 331)
+++ WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 332)
@@ -22,7 +22,5 @@
   <element value="common"/>
  </property>
- <property name="layouts">
-  <element value="waeup_common"/>
- </property>
+ <property name="layouts"/>
  <property name="layout_clusters">
   <element value="metadata:metadata"/>
@@ -31,9 +29,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="level_view"/>
+ <alias from="(Default)" to="academics_contents"/>
  <alias from="created" to="level_created"/>
- <alias from="view" to="level_view"/>
+ <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/level_view" visible="True">
+    url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 331)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 332)
@@ -40,9 +40,9 @@
            i18n:translate="label_info_tab_title"></a></strong></th>
 
-      <th tal:condition="id_in_tabs" align="center">
+      <th tal:condition="python:id_in_tabs and display_buttons" align="center">
         <strong tal:define="sort_id python:sort_by=='id'"
            tal:omit-tag="not:sort_id"><a href=""
            tal:attributes="href python:'%s/changeDisplayParams?display_order=%s' % (context_url, test(sort_id and direction=='asc','id_desc','id_asc'))"
-           i18n:translate="label_info_tab_id"></a></strong></th>
+           i18n:translate="label_info_tab_id"></a>ID</strong></th>
 
       <th tal:condition="typetext_in_tabs" align="center">
@@ -125,5 +125,5 @@
 
 
-  <td tal:condition="id_in_tabs">
+  <td tal:condition="python:id_in_tabs and display_buttons">
     <span tal:content="info/id">ID</span>
   </td>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 331)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 332)
@@ -13,5 +13,5 @@
 """
 
-if context.portal_type in ('Department','Certificate'):
+if context.portal_type in ('Department','Certificate','StudyLevel'):
     return None
 return 1
Index: WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py	(revision 331)
+++ WAeUP_SRP/trunk/skins/waeup_custom/getCustomDisplayParams.py	(revision 332)
@@ -33,5 +33,5 @@
                       'detail_tab_columns': ['long_title',
                                              'id',
-                                             'typetext',
+                                              #'typetext',
                                               #'size',
                                               #'date', 