Index: /WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 333)
+++ /WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 334)
@@ -2,4 +2,6 @@
 <object name="portal_workflow" meta_type="CPS Workflow Tool">
  <property name="title"></property>
+ <object name="section_content_wf" meta_type="CPS Workflow"/>
+ <object name="section_folder_wf" meta_type="CPS Workflow"/>
  <object name="waeup_academics_wf" meta_type="CPS Workflow"/>
  <object name="waeup_accommodation_wf" meta_type="CPS Workflow"/>
@@ -13,4 +15,8 @@
  <object name="waeup_student_wf" meta_type="CPS Workflow"/>
  <object name="waeup_workspace_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_calendar_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_content_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_folder_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_folderish_content_wf" meta_type="CPS Workflow"/>
  <bindings>
   <default/>
@@ -30,18 +36,18 @@
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
+  <type type_id="CertificateCourse">
+   <bound-workflow workflow_id="waeup_base_wf"/>
+  </type>
   <type type_id="CertificatesFolder">
    <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="CertificateCourse">
-   <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="Course">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
+  <type type_id="CourseTicket">
+   <bound-workflow workflow_id="waeup_base_wf"/>
+  </type>
   <type type_id="CoursesFolder">
    <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="CourseTicket">
-   <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="Department">
@@ -57,6 +63,9 @@
    <bound-workflow workflow_id="workspace_folder_wf"/>
   </type>
+  <type type_id="Section">
+   <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
   <type type_id="Semester">
-   <bound-workflow workflow_id="waeup_base_wf"/>
+   <bound-workflow workflow_id="section_folder_wf"/>
   </type>
   <type type_id="Student">
@@ -79,9 +88,12 @@
   </type>
   <type type_id="StudyLevel">
-   <bound-workflow workflow_id="waeup_base_wf"/>
+   <bound-workflow workflow_id="section_folder_wf"/>
   </type>
   <type type_id="University">
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
+  <type type_id="Workspace">
+   <bound-workflow workflow_id="workspace_folder_wf"/>
+  </type>
  </bindings>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 333)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 334)
@@ -29,10 +29,10 @@
            tal:attributes="href python:'%s/changeDisplayParams?display_order=%s' % (context_url, test(sort_type and direction=='asc','type_desc','type_asc'))"
            i18n:translate="label_info_tab_type"></a></strong></th>
-      <th tal:condition="title_in_tabs" align="center">
+      <th tal:condition="title_in_tabs" align="left">
         <strong tal:define="sort_title python:sort_by=='title'"
            tal:omit-tag="not:sort_title"><a href=""
            tal:attributes="href python:'%s/changeDisplayParams?display_order=%s' % (context_url, test(sort_title and direction=='asc','title_desc','title_asc'))"
            i18n:translate="label_info_tab_title"></a></strong></th>
-      <th tal:condition="long_title_in_tabs" align="center">
+      <th tal:condition="long_title_in_tabs" align="left">
         <strong tal:define="sort_title python:sort_by=='title'"
            tal:omit-tag="not:sort_title"><a href=""
Index: /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 333)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 334)
@@ -17,4 +17,4 @@
 from Products.CMFCore.utils import getToolByName
 mtool = getToolByName(context, 'portal_membership')
-return ['FacultyManager','DepartmentManager','SectionReader']
 return mtool.getCPSCandidateLocalRoles(context)
+return ['SectionManager']
Index: /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.pt	(revision 333)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.pt	(revision 334)
@@ -39,5 +39,5 @@
                    >
           <tal:block 
-              condition="python:1 or 'Student' in member.getRoles()"
+              condition="python:0"
               tal:define="dummy python: context.process_waeup_login(member=member,sc_pin=request.get('sc_pin'))" />
           <tal:block condition="first_time">