Index: WAeUP_SRP/trunk/profiles/default/layouts/common.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/common.xml	(revision 338)
+++ WAeUP_SRP/trunk/profiles/default/layouts/common.xml	(revision 339)
@@ -1,73 +1,38 @@
-common_layout = {
-    'widgets': {
-        'Description': {
-            'type': 'Text Widget',
-            'data': {
-                'title': '',
-                'fields': ('Description',),
-                'is_required': 0,
-                'label': '',
-                'label_edit': 'cpsdoc_description_label_edit',
-                'description': '',
-                'help': '',
-                'is_i18n': True,
-                'readonly_layout_modes': [],
-                'hidden_layout_modes': [],
-                'hidden_readonly_layout_modes': [],
-                'hidden_empty': 0,
-                'hidden_if_expr': '',
-                'widget_mode_expr': '',
-                'css_class': 'ddescription',
-                'css_class_expr': '',
-                'javascript_expr': '',
-                'width': 72,
-                'height': 5,
-                'size_max': 2097152,
-                'file_uploader': 0,
-                'render_format': 'text',
-                'render_position': 'normal',
-                'configurable': 'nothing',
-            },
-        },
-        'Title': {
-            'type': 'Heading Widget',
-            'data': {
-                'title': '',
-                'fields': ('Title',),
-                'is_required': True,
-                'label': '',
-                'label_edit': 'cpsdoc_title_label_edit',
-                'description': '',
-                'help': '',
-                'is_i18n': True,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': 0,
-                'hidden_if_expr': '',
-                'widget_mode_expr': '',
-                'css_class': '',
-                'css_class_expr': '',
-                'javascript_expr': '',
-                'display_width': 72,
-                'size_max': 200,
-                'level': '1',
-            },
-        },
-    },
-    'layout': {
-        'layout_create_method': '',
-        'layout_edit_method': '',
-        'layout_view_method': '',
-        'style_prefix': 'layout_default_',
-        'flexible_widgets': (),
-        'validate_values_expr': '',
-        'ncols': 1,
-        'rows': [
-            [{'widget_id': 'Title', 'ncols': 1},
-            ],
-            [{'widget_id': 'Description', 'ncols': 1},
-            ],
-        ],
-    },
-}
+<?xml version="1.0"?>
+<object name="common" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_default_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="Description" meta_type="Text Widget">
+  <property name="fields">
+   <element value="Description"/>
+  </property>
+  <property name="label_edit">cpsdoc_description_label_edit</property>
+  <property name="is_i18n">True</property>
+  <property name="css_class">ddescription</property>
+  <property name="width">72</property>
+ </widget>
+ <widget name="Title" meta_type="Heading Widget">
+  <property name="fields">
+   <element value="Title"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label_edit">cpsdoc_title_label_edit</property>
+  <property name="is_i18n">True</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">200</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="Title"/>
+  </row>
+  <row>
+   <cell name="Description"/>
+  </row>
+ </table>
+</object>