Index: /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml	(revision 347)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml	(revision 348)
@@ -26,5 +26,7 @@
   <property name="label_edit">Certificate code</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -37,15 +39,20 @@
   <property name="label_edit">Certificate original code</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="code" meta_type="String Widget">
-  <property name="title">Code</property>
+  <property name="title">Course Code</property>
   <property name="fields">
    <element value="code"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Code</property>
-  <property name="label_edit">Code</property>
+  <property name="label">Course Code</property>
+  <property name="label_edit">Course Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">10</property>
  </widget>
@@ -76,7 +83,4 @@
    <cell name="core_or_elective"/>
   </row>
-  <row>
-   <cell name="admin_status"/>
-  </row>
  </table>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 347)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 348)
@@ -7,15 +7,4 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="Description" meta_type="Text Widget">
-  <property name="fields">
-   <element value="Description"/>
-  </property>
-  <property name="label">Description</property>
-  <property name="label_edit">Description</property>
-  <property name="is_i18n">True</property>
-  <property name="hidden_layout_modes"/>
-  <property name="css_class">description</property>
-  <property name="width">72</property>
- </widget>
  <widget name="Title" meta_type="String Widget">
   <property name="fields">
@@ -25,4 +14,9 @@
   <property name="label">Title</property>
   <property name="label_edit">Title</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="view"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">40</property>
   <property name="size_max">200</property>
@@ -32,7 +26,4 @@
    <cell name="Title"/>
   </row>
-  <row>
-   <cell name="Description"/>
-  </row>
  </table>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 347)
+++ /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 348)
@@ -2,17 +2,44 @@
 <rolemap>
   <roles>
-    <role name="CourseAdvisor"/>
-    <role name="Lecturer"/>
-    <role name="Student"/>
+    <role name="SectionReader"/>
+    <role name="SectionManager"/>
   </roles>
   <permissions>
+    <permission name="List folder contents" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionReader"/>
+    </permission>
     <permission name="Add portal content" acquire="True">
-      <role name="Student"/>
+      <role name="SectionManager"/>
     </permission>
     <permission name="Add portal folders" acquire="True">
-      <role name="Student"/>
+      <role name="SectionManager"/>
     </permission>
     <permission name="Delete objects" acquire="True">
-      <role name="Manager"/>
+      <role name="SectionManager"/>
+    </permission>
+    <permission name="Change subobjects order" acquire="True">
+      <role name="SectionManager"/>
+    </permission>
+    <permission name="Manage properties" acquire="True">
+      <role name="SectionManager"/>
+    </permission>
+    <permission name="List portal members" acquire="True">
+      <role name="Member"/>
+      <role name="SectionManager"/>
+    </permission>
+    <permission name="Review portal content" acquire="True">
+      <role name="Reviewer"/>
+      <role name="SectionManager"/>
+    </permission>
+    <permission name="Modify portal content" acquire="True">
+      <role name="SectionManager"/>
+    </permission>
+    <permission name="Set own password" acquire="True">
+      <role name="Member"/>
+      <role name="SectionManager"/>
+    </permission>
+    <permission name="Undo changes" acquire="False">
+      <role name="SectionManager"/>
     </permission>
   </permissions>
Index: /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 347)
+++ /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 348)
@@ -33,4 +33,5 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="academics_contents"/>
+ <alias from="created" to="level_created"/>
  <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object" condition_expr=""
Index: /WAeUP_SRP/trunk/profiles/default/types/Semester.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 347)
+++ /WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 348)
@@ -56,5 +56,5 @@
  <action title="Add Course" action_id="new_entry" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/content_create?type_name=Course"
+    url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
     visible="True"/>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 347)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 348)
@@ -22,5 +22,7 @@
   <element value="common"/>
  </property>
- <property name="layouts"/>
+ <property name="layouts">
+  <element value="waeup_common"/>
+ </property>
  <property name="layout_clusters">
   <element value="metadata:metadata"/>
Index: /WAeUP_SRP/trunk/profiles/default/workflows/waeup_base_wf/definition.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows/waeup_base_wf/definition.xml	(revision 347)
+++ /WAeUP_SRP/trunk/profiles/default/workflows/waeup_base_wf/definition.xml	(revision 348)
@@ -21,5 +21,4 @@
    <permission-role>Manager</permission-role>
    <permission-role>SectionManager</permission-role>
-   <permission-role>SectionReviewer</permission-role>
    <permission-role>SectionReader</permission-role>
   </permission-map>
@@ -32,4 +31,5 @@
   <guard>
    <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
   </guard>
  </transition>
@@ -41,5 +41,4 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
-   <guard-role>Contributor</guard-role>
   </guard>
   <transition-behavior behavior_id="initial-create"/>
@@ -52,7 +51,4 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
-   <guard-role>SectionReviewer</guard-role>
-   <guard-role>SectionReader</guard-role>
-   <guard-role>Contributor</guard-role>
   </guard>
   <transition-behavior behavior_id="allow-sub-create"/>
@@ -66,6 +62,4 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
-   <guard-role>SectionReviewer</guard-role>
-   <guard-role>SectionReader</guard-role>
   </guard>
   <transition-behavior behavior_id="allow-sub-move"/>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/standard_error_message.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/standard_error_message.pt	(revision 348)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/standard_error_message.pt	(revision 348)
@@ -0,0 +1,54 @@
+<metal:html tal:define="showthirdcol nothing;
+                        error_type options/error_type|nothing;
+                        error_value options/error_value|nothing;
+                        error_message options/error_message|nothing;
+                        error_tb options/error_tb|nothing;
+                        error_traceback options/error_traceback|nothing;
+                        error_log_url options/error_log_url|nothing;
+                        p_props here/portal_properties;
+                       ">
+<metal:body use-macro="here/main_template/macros/master">
+
+<metal:main fill-slot="main">
+
+<tal:haserror condition="python: 1 or error_type">
+  <tal:NotFound condition="python:error_type == 'NotFound'">
+    <metal:block use-macro="here/error_lib_not_found/macros/not_found" />
+  </tal:NotFound>
+
+  <tal:default condition="python:error_type != 'NotFound'">
+    <metal:block use-macro="here/error_lib_other/macros/other" />
+  </tal:default>
+
+  <tal:debugging condition="python:1 or checkPerm('Manage portal', here)">
+    <table width="100%" cellpadding="2" cellspacing="2">
+      <tr>
+        <th width="10%">Error Type:</th>
+        <td tal:content="error_type"></td>
+      </tr>
+      <tr>
+        <th>Error Value:</th>
+        <td><pre tal:content="structure error_value" /></td>
+      </tr>
+      <tr>
+        <th>Traceback:</th>
+        <td><pre tal:content="structure error_traceback" /></td>
+      </tr>
+    </table>
+    <hr />
+    <pre tal:content="structure request" />
+    <hr />
+    <a href="" tal:condition="python:error_log_url"
+               tal:attributes="href error_log_url">
+      Show Error Log Entry
+    </a>
+  </tal:debugging>
+</tal:haserror>
+
+<tal:hasnoerror tal:condition="not:error_type">
+sorry an error occured, which we could not handle.
+</tal:hasnoerror>
+
+</metal:main>
+</metal:body>
+</metal:html>
Index: eUP_SRP/trunk/skins/waeup_custom/standart_error_message.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/standart_error_message.pt	(revision 347)
+++ 	(revision )
@@ -1,54 +1,0 @@
-<metal:html tal:define="showthirdcol nothing;
-                        error_type options/error_type|nothing;
-                        error_value options/error_value|nothing;
-                        error_message options/error_message|nothing;
-                        error_tb options/error_tb|nothing;
-                        error_traceback options/error_traceback|nothing;
-                        error_log_url options/error_log_url|nothing;
-                        p_props here/portal_properties;
-                       ">
-<metal:body use-macro="here/main_template/macros/master">
-
-<metal:main fill-slot="main">
-
-<tal:haserror condition="error_type">
-  <tal:NotFound condition="python:error_type == 'NotFound'">
-    <metal:block use-macro="here/error_lib_not_found/macros/not_found" />
-  </tal:NotFound>
-
-  <tal:default condition="python:error_type != 'NotFound'">
-    <metal:block use-macro="here/error_lib_other/macros/other" />
-  </tal:default>
-
-  <tal:debugging condition="python:1 or checkPerm('Manage portal', here)">
-    <table width="100%" cellpadding="2" cellspacing="2">
-      <tr>
-        <th width="10%">Error Type:</th>
-        <td tal:content="error_type"></td>
-      </tr>
-      <tr>
-        <th>Error Value:</th>
-        <td><pre tal:content="structure error_value" /></td>
-      </tr>
-      <tr>
-        <th>Traceback:</th>
-        <td><pre tal:content="structure error_traceback" /></td>
-      </tr>
-    </table>
-    <hr />
-    <pre tal:content="structure request" />
-    <hr />
-    <a href="" tal:condition="python:error_log_url"
-               tal:attributes="href error_log_url">
-      Show Error Log Entry
-    </a>
-  </tal:debugging>
-</tal:haserror>
-
-<tal:hasnoerror tal:condition="not:error_type">
-  In Heaven, everything's fine but not here ...
-</tal:hasnoerror>
-
-</metal:main>
-</metal:body>
-</metal:html>