Index: /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 352)
+++ /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 353)
@@ -42,5 +42,7 @@
     condition_expr="python:True or member and 'UniversityManager'in member.getRoles()"
     url_expr="string:${object/absolute_url}/content_create?type_name=Faculty"
-    visible="True"/>
+    visible="True">
+    <permission value="Modify portal content"/>
+  </action>
  <action title="action_folder_contents" action_id="contents" category="object"
     condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
@@ -48,6 +50,8 @@
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="True"/>
- <action title="Faculties" action_id="import_faculties" category="import"
+    visible="True">
+  <permission value="Modify portal content"/>
+  </action>
+  <action title="Faculties" action_id="import_faculties" category="import"
     condition_expr="" url_expr="string:${object_url}/loadFacultiesFromCSV"
     visible="True"/>
Index: /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 352)
+++ /WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 353)
@@ -24,4 +24,5 @@
  </property>
  <property name="layouts">
+  <element value="waeup_common"/>
   <element value="certificate"/>
  </property>
@@ -33,5 +34,4 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="academics_contents"/>
- <alias from="created" to="level_created"/>
  <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object" condition_expr=""
@@ -57,4 +57,6 @@
     condition_expr=""
     url_expr="string:${object/absolute_url}/content_create?type_name=StudyLevel"
-    visible="True"/>
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 352)
+++ /WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 353)
@@ -40,5 +40,7 @@
  <action title="action_edit" action_id="edit" category="object"
     condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
-    visible="True"/>
+    visible="True">
+  <permission value="Modify portal content"/>
+  </action>
  <action title="action_metadata" action_id="metadata" category="object"
     condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
@@ -46,4 +48,6 @@
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="True"/>
+    visible="True" >
+    <permission value="Modify portal content"/>
+  </action>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 352)
+++ /WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 353)
@@ -40,8 +40,12 @@
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False"/>
+    visible="False">
+  <permission value="Modify portal content"/>
+ </action>
  <action title="Add Certificate" action_id="new_entry" category="object"
     condition_expr=""
     url_expr="string:${object/absolute_url}/content_create?type_name=Certificate"
-    visible="True"/>
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 352)
+++ /WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 353)
@@ -40,8 +40,12 @@
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False"/>
+    visible="False">
+  <permission value="Modify portal content"/>
+ </action>
  <action title="Add Course" action_id="new_entry" category="object"
     condition_expr=""
     url_expr="string:${object/absolute_url}/content_create?type_name=Course"
-    visible="True"/>
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 352)
+++ /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 353)
@@ -58,4 +58,6 @@
     condition_expr=""
     url_expr="string:${object/absolute_url}/content_create?type_name=Department"
-    visible="True"/>
+    visible="True">
+  <permission value="Modify portal content"/>
+  </action>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/Semester.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 352)
+++ /WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 353)
@@ -34,5 +34,5 @@
  <alias from="(Default)" to="academics_contents"/>
  <alias from="view" to="academics_contents"/>
- <action title="Standard View" action_id="view" category="object"
+ <action title="View" action_id="view" category="object"
     condition_expr="" url_expr="string:${object_url}/academics_contents"
     visible="True">
@@ -57,4 +57,6 @@
     condition_expr=""
     url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
-    visible="True"/>
+    visible="True" >
+  <permission value="Modify portal content"/>
+  </action>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 352)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 353)
@@ -94,16 +94,17 @@
                 '/folder_contents', '')"
     tal:attributes="class python:test(repeat['item'].even(), 'even ajaxtd', 'odd ajaxtd')">
-  <td align="left" valign="middle" style="width: 5px;" 
-      tal:condition="display_buttons">
-    <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-           tal:condition="not:no_form"
-           tal:define="id item/getId"
-           tal:attributes="value python:site_wide and item.getContextUrl(utool=utool) or id;
-                           id python:'cb_' + id;
-                           checked python:id in choosen_ids;
-                          " />
-  </td>
-  <td align="center" tal:condition="type_in_tabs"
-      tal:define="draggableclass python:test(not no_form  and sort_by is None, 'draggable droppable', '');
+      <span tal:condition="display_buttons" tal:omit-tag="">
+        <td align="left" valign="middle" style="width: 5px;" tal:condition="display_buttons">
+          <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                 tal:condition="not:no_form"
+                 tal:define="id item/getId"
+                 tal:attributes="value python:site_wide and item.getContextUrl(utool=utool) or id;
+                 id python:'cb_' + id;
+                 checked python:id in choosen_ids;" 
+                 />
+        </td>
+      </span>
+      <td align="center" tal:condition="type_in_tabs"
+          tal:define="draggableclass python:test(not no_form  and sort_by is None, 'draggable droppable', '');
                   draggableid python:'draggable'+str(item.getId());
                   draggablemouseover
@@ -132,6 +133,4 @@
     <span tal:content="info/type">ID</span>
   </td>
-
-
   <td align="right" tal:condition="display_buttons">
     <a href="dummy"  tal:attributes="href string:${item/absolute_url}/academics_edit_form">[edit]</a></td>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 352)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 353)
@@ -70,4 +70,5 @@
         <td align="left" valign="top">
           <span tal:condition="display_buttons" >
+          <span tal:condition="can_del">
             <input type="button" value="button_select_all" class="context"
                    onclick="someJavaScriptFunctionThatWillBeReplaced"
@@ -75,5 +76,4 @@
                    tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
                                    % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))" />
-          <span tal:condition="can_del">
             <input type="submit" name="approve_checked:method"
               class="context" value="Approve" />